{
  GeoGet 2
  Installation script for GIP packages
  
  Www: http://geoget.ararat.cz/doku.php/user:skript:solvehelper
  Forum: http://www.geocaching.cz/forum/viewthread.php?forum_id=20&thread_id=25325&sort=&rowstart=0
  Author: mikrom, http://mikrom.cz
  Version: 1.0.1
}

{Do install tasks here.}
function InstallWork: string;
var
  ini: TIniFile;
  lastTab, lastWidth, lastHeight: Integer;
begin
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\SolveHelper.ini') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\SolveHelper.ini');

  {Read previous user settings}
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\SolveHelper.ini.old') then begin
    ini := TIniFile.Create(GEOGET_SCRIPTDIR + '\SolveHelper\SolveHelper.ini.old');
    try
      lastTab := ini.ReadInteger('SolveHelper', 'LastTab', 0);
      lastWidth := ini.ReadInteger('SolveHelper', 'LastWidth', 300);
      lastHeight := ini.ReadInteger('SolveHelper', 'LastHeight', 300);
    finally
      ini.Free;
    end;
  end;

  {Write them in new ini}
  ini := TIniFile.Create(GEOGET_SCRIPTDIR + '\SolveHelper\SolveHelper.ini');
  try
    ini.WriteInteger('SolveHelper', 'LastTab', lastTab);
    ini.WriteInteger('SolveHelper', 'LastWidth', lastWidth);
    ini.WriteInteger('SolveHelper', 'LastHeight', lastHeight);
  finally
    ini.Free;
  end;

  {Delete old pics}
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\asciifull.gif') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\asciifull.gif');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_abeceda-rev.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_abeceda-rev.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_abeceda.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_abeceda.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_arabska-ab-1.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_arabska-ab-1.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_arabska-ab-2.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_arabska-ab-2.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_azbuka1.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_azbuka1.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_azbuka2.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_azbuka2.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_azbuka3.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_azbuka3.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_braillovo-pismo1.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_braillovo-pismo1.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_braillovo-pismo2.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_braillovo-pismo2.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_braillovo-pismo3.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_braillovo-pismo3.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_brailovo-a-n.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_brailovo-a-n.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_brailovo-n-z.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_brailovo-n-z.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_cinstina.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_cinstina.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_hebrejska-ab-1.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_hebrejska-ab-1.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_hebrejska-ab-2.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_hebrejska-ab-2.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_hebrejstina-polskykriz.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_hebrejstina-polskykriz.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_morseovka.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_morseovka.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_Morseovka_schema.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_Morseovka_schema.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_pavouk.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_pavouk.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_recka-ab-1.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_recka-ab-1.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_recka-ab-2.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_recka-ab-2.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_rimska-cisla.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_rimska-cisla.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_rot13.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_rot13.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-ab-cisla-1-5.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-ab-cisla-1-5.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-ab-cisla-6-0.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-ab-cisla-6-0.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-A-F.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-A-F.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-G-M.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-G-M.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-N-T.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-N-T.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-T-Z.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_vlajkova-abeceda-T-Z.jpg');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_zlomky.jpg') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\pics\_zlomky.jpg');
  
  {"Rename" old Excel files to the new names}
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\Transformace_GPS.xls') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\Transformace_GPS.xls');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\prevody_souradnic.xls') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\prevody_souradnic.xls');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\PoradiVAbecede.xls') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\PoradiVAbecede.xls');
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\Sudoku.xls') then DeleteFile(GEOGET_SCRIPTDIR + '\SolveHelper\utils\excel\Sudoku.xls');
  
  {changelog}
  if FileExists(GEOGET_SCRIPTDIR + '\SolveHelper\SolveHelper.changelog.txt') then ShowLongMessage('Changelog', FileToString(GEOGET_SCRIPTDIR + '\SolveHelper\SolveHelper.changelog.txt'));

  Result := ''; // Finished without error
end;

{Do Uninstall tasks here.}
function UninstallWork: string;
begin
  Result := ''; // Finished without error
end;
