{
  General Plugin Script

  Www: http://geoget.ararat.cz
  Forum: http://www.geocaching.cz
  Author: mikrom, http://mikrom.cz
  Version: 0.0.1
}

{Name of plugin}
function PluginCaption: string;
begin
  Result := 'Recka abeceda';
end;

{What will be displayed as hint?}
function PluginHint: string;
begin
  Result := 'Jen HTML verze recke abecedy';
end;

{Icon data}
function PluginIcon: string;
begin
  Result := '';
end;

{How Geoget can handle this plugin?}
function PluginFlags: string;
begin
  Result := '';
end;

{Enter plugin code here}
procedure PluginStart;
var
  html, s: String;
begin
  //s := ReplaceString(GEOGET_SCRIPTFULLNAME, GEOGET_SCRIPTNAME, '') + 'ReckaCisla.html';
  //html := FileToString(s);

  html := '<!-- http://gwydir.demon.co.uk/jo/numbers/greek/' + CRLF +
          '     http://www.w3schools.com/charsets/ref_utf_greek.asp -->' + CRLF +
          '<TABLE border="1" frame="" rules="all" style="font-size:1.5em; text-align:center;">' + CRLF +
          '  <TR><TH>Arabic number</TH>' + CRLF +
          '    <TD>1</TD><TD>2</TD><TD>3</TD><TD>4</TD><TD>5</TD><TD>6</TD><TD>7</TD><TD>8</TD><TD>9</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Greek number</TH>' + CRLF +
          '    <TD>&#945;, &Alpha;</TD>' + CRLF +
          '    <TD>&#946;, &Beta;</TD>' + CRLF +
          '    <TD>&#947;, &Gamma;</TD>' + CRLF +
          '    <TD>&#948;, &Delta;</TD>' + CRLF +
          '    <TD>&#949;, &Epsilon;</TD>' + CRLF +
          '    <TD>&#989;, &#988;</TD>' + CRLF +
          '    <TD>&#950;, &Zeta;</TD>' + CRLF +
          '    <TD>&#951;, &Eta;</TD>' + CRLF +
          '    <TD>&#952;, &Theta;</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Greek name</TH>' + CRLF +
          '    <TD>alpha</TD>' + CRLF +
          '    <TD>beta</TD>' + CRLF +
          '    <TD>gamma</TD>' + CRLF +
          '    <TD>delta</TD>' + CRLF +
          '    <TD>epsilon</TD>' + CRLF +
          '    <TD>digamma</TD>' + CRLF +
          '    <TD>zeta</TD>' + CRLF +
          '    <TD>eta</TD>' + CRLF +
          '    <TD>theta</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Sound</TH>' + CRLF +
          '    <TD>a</TD><TD>b</TD><TD>g</TD><TD>d</TD><TD>short e</TD><TD></TD><TD>z</TD><TD>long e</TD><TD>th</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TD COLSPAN=11>&nbsp;</TD></TR>' + CRLF +
          '  <TR><TH>Arabic number</TH>' + CRLF +
          '    <TD>10</TD><TD>20</TD><TD>30</TD><TD>40</TD><TD>50</TD><TD>60</TD><TD>70</TD><TD>80</TD><TD>90</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Greek number</TH>' + CRLF +
          '    <TD>&#953;, &Iota;</TD>' + CRLF +
          '    <TD>&#954;, &Kappa;</TD>' + CRLF +
          '    <TD>&#955;, &Lambda;</TD>' + CRLF +
          '    <TD>&#956;, &Mu;</TD>' + CRLF +
          '    <TD>&#957;, &Nu;</TD>' + CRLF +
          '    <TD>&#958;, &Xi;</TD>' + CRLF +
          '    <TD>&#959;, &Omicron;</TD>' + CRLF +
          '    <TD>&#960;, &Pi;</TD>' + CRLF +
          '    <TD>&#991;, &#990;</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Greek name</TH>' + CRLF +
          '    <TD>iota</TD>' + CRLF +
          '    <TD>kappa</TD>' + CRLF +
          '    <TD>lambda</TD>' + CRLF +
          '    <TD>mu</TD>' + CRLF +
          '    <TD>nu</TD>' + CRLF +
          '    <TD>xi</TD>' + CRLF +
          '    <TD>omicron</TD>' + CRLF +
          '    <TD>pi</TD>' + CRLF +
          '    <TD>koppa</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Sound</TH>' + CRLF +
          '    <TD>i</TD><TD>k/c</TD><TD>l</TD><TD>m</TD><TD>n</TD><TD>x</TD><TD>short o</TD><TD>p</TD><TD></TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TD COLSPAN=11>&nbsp;</TD></TR>' + CRLF +
          '  <TR><TH>Arabic number</TH>' + CRLF +
          '    <TD>100</TD><TD>200</TD><TD>300</TD><TD>400</TD><TD>500</TD><TD>600</TD><TD>700</TD><TD>800</TD><TD>900</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Greek number</TH>' + CRLF +
          '    <TD>&#961;, &Rho;</TD>' + CRLF +
          '    <TD>&#963;, &Sigma;</TD>' + CRLF +
          '    <TD>&#964;, &Tau;</TD>' + CRLF +
          '    <TD>&#965;, &Upsilon;</TD>' + CRLF +
          '    <TD>&#966;, &Phi;</TD>' + CRLF +
          '    <TD>&#967;, &Chi;</TD>' + CRLF +
          '    <TD>&#968;, &Psi;</TD>' + CRLF +
          '    <TD>&#969;, &Omega;</TD>' + CRLF +
          '    <TD>&#993;, &#992;</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Greek name</TH>' + CRLF +
          '    <TD>rho</TD>' + CRLF +
          '    <TD>sigma</TD>' + CRLF +
          '    <TD>tau</TD>' + CRLF +
          '    <TD>upsilon</TD>' + CRLF +
          '    <TD>phi</TD>' + CRLF +
          '    <TD>chi</TD>' + CRLF +
          '    <TD>psi</TD>' + CRLF +
          '    <TD>omega</TD>' + CRLF +
          '    <TD>sampi</TD>' + CRLF +
          '  </TR>' + CRLF +
          '  <TR><TH>Sound</TH>' + CRLF +
          '    <TD>r</TD><TD>s</TD><TD>t</TD><TD>u</TD><TD>f/ph</TD><TD>ch</TD><TD>ps</TD><TD>long o</TD><TD></TD>' + CRLF +
          '  </TR>' + CRLF +
          '</TABLE>';
          
  ShowHTMLMessageSize('Recka abeceda', html, 750, 600);
end;